﻿using System;

namespace EonaCat.HID.EventArguments
{
    // This file is part of the EonaCat project(s) which is released under the Apache License.
    // See the LICENSE file or go to https://EonaCat.com/license for full license details.

    /// <summary>
    /// Event args for received data
    /// </summary>
    public class HidDataReceivedEventArgs : EventArgs
    {
        public IHid Device { get; }
        public byte[] Data { get; }

        public HidDataReceivedEventArgs(IHid device, byte[] data)
        {
            Device = device;
            Data = data;
        }
    }
}