﻿using System;

namespace EonaCat.HID.EventArguments
{
    // This file is part of the EonaCat project(s) which is released under the Apache License.
    // See the LICENSE file or go to https://EonaCat.com/license for full license details.

    /// <summary>
    /// Event args for error events
    /// </summary>
    public class HidErrorEventArgs : EventArgs
    {
        public IHid Device { get; }
        public Exception Exception { get; }

        public HidErrorEventArgs(IHid device, Exception ex)
        {
            Device = device;
            Exception = ex;
        }
    }
}