﻿using System;

namespace EonaCat.HID.EventArguments
{
    // This file is part of the EonaCat project(s) which is released under the Apache License.
    // See the LICENSE file or go to https://EonaCat.com/license for full license details.

    /// <summary>
    /// Event arguments with HID device info.
    /// </summary>
    public class HidEventArgs : EventArgs
    {
        public IHid Device { get; }

        public HidEventArgs(IHid device)
        {
            Device = device;
        }
    }
}